Skip to content
scango.ch
Esc
↑↓navigate↵open⌘Jpreview

Get category by ID

Get a category by id. A soft-deleted item is returned with deleted: true.

GET/categories/{categoryId}
Authorization
AuthorizationBearer token (API key) · headerrequired

Organization API key.

Path parameters
categoryIdstringrequired
Responses
200

Category details

dataCategoryrequired
Show properties
idstringrequired
namestring
externalIdstring

Optional external identifier

indexinteger
showOnScreenboolean
imageUrlstring
marginMinPercentnumber
marginMaxPercentnumber
deletedboolean
hideStorestring[]
allowStorestring[]
createdatestring<date-time>
403

Missing, unknown or inactive API key, or a Read key on a write operation.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

404

No item with this id.

statusCodeintegerrequired

HTTP status code

messagestringrequired

Human-readable error message

timestampstring<date-time>required

When the error occurred (UTC).

pathstringrequired

Request URL (path and query string).

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://dashboard.scango.ch/api/v1/categories/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "cat_01",
    "name": "Beverages",
    "index": 1,
    "showOnScreen": true,
    "imageUrl": ""
  }
}

Was this page helpful?